Bug 147455 - Only lun 0 is detected on my card reader
Only lun 0 is detected on my card reader
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 22:59 EST by Andy Hanton
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 20:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Hanton 2005-02-07 22:59:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The kernel does not scan all the luns of my multi card reader.  
Adding the other luns using 'echo scsi add-single-device' seems to
solve the problem.  

cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: MCRW     Model: CRW600        CF Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 01
  Vendor: MCRW     Model: CRW600        MS Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 02
  Vendor: MCRW     Model: CRW600    MMC/SD Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 03
  Vendor: MCRW     Model: CRW600        SM Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 02

cat /proc/scsi/usb-storage/0
   Host scsi0: usb-storage
       Vendor: MCRW
      Product: USB Multi-Card Reader
Serial Number: ABCD12345866
     Protocol: Transparent SCSI
    Transport: Bulk
       Quirks:

Version-Release number of selected component (if applicable):
2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
1. insert card and plug in card reader
2.
3.
    

Actual Results:  Only one device node is created for the card reader
instead of four.  My sd card doesn't appear on the desktop.  

Additional info:
Comment 1 Dave Jones 2005-02-12 19:46:24 EST
should be fixed as of 1.766 (currently in updates-testing)

Note You need to log in before you can comment on or make changes to this bug.